## Icy Archers: Main

execute if score icy_archers.start gameData matches 200 run give @a bat_spawn_egg{GameItem:1b,EntityTag:{Silent:1b,CustomName:''},NoDrop:1b,HideFlags:63,CanPlaceOn:["black_stained_glass","ice","packed_ice","blue_ice"],display:{Name:'{"text":"Ice","color":"aqua","italic":false}',Lore:['{"text":"Place down to protect yourself","color":"yellow","italic":false}','{"text":"Shoot it with your bow to break it","color":"yellow","italic":false}']}} 20
execute if score icy_archers.start gameData matches 200 run playsound block.lever.click voice @a 0 66 0 1000 1
execute if score icy_archers.start gameData matches 200 run tellraw @a [{"text":"- ","color":"white"},{"text":"Bows will be given in 10 seconds!","color":"yellow"}]
execute if score icy_archers.start gameData matches 100 run playsound block.lever.click voice @a 0 66 0 1000 1
execute if score icy_archers.start gameData matches 100 run tellraw @a [{"text":"- ","color":"white"},{"text":"Bows will be given in 5 seconds!","color":"yellow"}]
execute if score icy_archers.start gameData matches 90 run playsound block.lever.click voice @a 0 66 0 1000 1
execute if score icy_archers.start gameData matches 80 run tellraw @a [{"text":"- ","color":"white"},{"text":"Bows will be given in 4 seconds!","color":"yellow"}]
execute if score icy_archers.start gameData matches 60 run playsound block.lever.click voice @a 0 66 0 1000 1
execute if score icy_archers.start gameData matches 60 run tellraw @a [{"text":"- ","color":"white"},{"text":"Bows will be given in 3 seconds!","color":"yellow"}]
execute if score icy_archers.start gameData matches 40 run playsound block.lever.click voice @a 0 66 0 1000 1
execute if score icy_archers.start gameData matches 40 run tellraw @a [{"text":"- ","color":"white"},{"text":"Bows will be given in 2 seconds!","color":"yellow"}]
execute if score icy_archers.start gameData matches 20 run playsound block.lever.click voice @a 0 66 0 1000 1
execute if score icy_archers.start gameData matches 20 run tellraw @a [{"text":"- ","color":"white"},{"text":"Bows will be given in 1 seconds!","color":"yellow"}]
execute if score icy_archers.start gameData matches 0 run playsound block.lever.click voice @a 0 66 0 1000 2
execute if score icy_archers.start gameData matches 0 run tellraw @a [{"text":"- ","color":"white"},{"text":"Bows have been given!","color":"yellow"}]
execute if score icy_archers.start gameData matches 0.. run scoreboard players remove icy_archers.start gameData 1

execute if score icy_archers.start gameData matches -1 run clear @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:bow"}]}] bow
execute if score icy_archers.start gameData matches -1 run give @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:bow"}]}] bow{GameItem:1b,HideFlags:63,Unbreakable:1b,Enchantments:[{id:"infinity",lvl:1s},{id:"power",lvl:5s}],display:{Name:'{"text":"Bow","italic":false,"color":"aqua"}',Lore:['{"text":"Shoot ice to break it!","color":"yellow","italic":false}']}}
execute if score icy_archers.start gameData matches -1 run clear @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:arrow"}]}] arrow
execute if score icy_archers.start gameData matches -1 run replaceitem entity @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:arrow"}]}] inventory.0 arrow{GameItem:1b,HideFlags:63,display:{Name:'{"text":"Arrow","italic":false,"color":"yellow"}'}}
kill @e[type=item,nbt=!{Item:{tag:{NoDrop:1b}}}]

execute at @e[type=bat] align xyz unless entity @a[gamemode=!spectator,dx=0,dy=0,dz=0,limit=1] unless entity @e[type=bat,distance=..1,y=70,dy=1] run setblock ~ ~ ~ black_stained_glass
execute at @e[type=bat] align xyz unless entity @a[gamemode=!spectator,dx=0,dy=0,dz=0,limit=1] unless entity @e[type=bat,distance=..1,y=70,dy=1] run summon area_effect_cloud ~0.5 ~0.5 ~0.5 {Duration:2000000000,Tags:["icy_archers.ice"]}
execute at @e[type=bat] align xyz if entity @a[gamemode=!spectator,dx=0,dy=0,dz=0,limit=1] run give @p[gamemode=!creative,scores={icy_archers.bat=1}] bat_spawn_egg{GameItem:1b,EntityTag:{Silent:1b,CustomName:''},NoDrop:1b,HideFlags:63,CanPlaceOn:["black_stained_glass","ice","packed_ice","blue_ice"],display:{Name:'{"text":"Ice","color":"aqua","italic":false}',Lore:['{"text":"Place down to protect yourself","color":"yellow","italic":false}','{"text":"Shoot it with your bow to break it","color":"yellow","italic":false}']}}
execute at @e[type=bat] align xyz unless entity @a[gamemode=!spectator,dx=0,dy=0,dz=0,limit=1] if entity @e[type=bat,distance=..1,y=70,dy=1] run give @p[gamemode=!creative,scores={icy_archers.bat=1}] bat_spawn_egg{GameItem:1b,EntityTag:{Silent:1b,CustomName:''},NoDrop:1b,HideFlags:63,CanPlaceOn:["black_stained_glass","ice","packed_ice","blue_ice"],display:{Name:'{"text":"Ice","color":"aqua","italic":false}',Lore:['{"text":"Place down to protect yourself","color":"yellow","italic":false}','{"text":"Shoot it with your bow to break it","color":"yellow","italic":false}']}}
tp @e[type=bat] 0 -1000 0
scoreboard players reset @a icy_archers.bat
stopsound @a player entity.item.pickup

execute at @e[type=arrow,nbt={inBlockState:{Name:"minecraft:black_stained_glass"}}] at @e[type=area_effect_cloud,tag=icy_archers.ice,limit=1,sort=nearest] run fill ~ ~ ~ ~ ~ ~ air destroy
execute at @e[type=arrow,nbt={inBlockState:{Name:"minecraft:black_stained_glass"}}] run kill @e[type=area_effect_cloud,tag=icy_archers.ice,limit=1,sort=nearest]
kill @e[type=arrow,nbt={inGround:1b}]

team modify players friendlyFire true
effect give @a weakness 999999 255 true
effect clear @a resistance

# End Round
execute if score alive gameData matches 1 run tellraw @a [{"text":"- ","color":"white"},{"selector":"@a[scores={death=0},limit=1]","color":"aqua"},{"text":" won the round and earned ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"aqua"},{"text":" points!","color":"yellow"}]
execute if score alive gameData matches 1 run title @a times 0 80 20
execute if score alive gameData matches 1 run title @a title {"selector":"@a[scores={death=0},limit=1]","color":"aqua","bold":true}
execute if score alive gameData matches 1 run title @a subtitle [{"text":"won ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"yellow"},{"text":" points!","color":"yellow"}]
execute if score alive gameData matches 1 run scoreboard players operation @a[scores={death=0}] points += pointsReward const
execute if score alive gameData matches 1 run scoreboard players set phase gameData 5